#include <stdio.h>
#include <stdlib.h>

/* run this program using the console pauser or add your own getch, system("pause") or input loop */
void podela(int n,int m,int k)
	{	int l=0,i,p,r;
		p=n/k;
		r=n%k;
		for(i=1;i<=p;i++)
			l=l+i;
		if(m<n || m<l*k+r*(l+1))
			return printf("nie\n");
		else
			return printf("tak\n");
	}
int main(int argc, char *argv[]) {
	int n[100],k[100],i,t,m[100];
	scanf("%d",&t);
	for(i=0;i<t;i++)
		scanf("%d%d%d",&n[i],&m[i],&k[i]);
	for(i=0;i<t;i++)
		podela(n[i],m[i],k[i]);
	return 0;
}